// Module ui/donate
// Let's monatize ReSpec
import hyperHTML from "hyperhtml";
import { ui } from "../core/ui";

// window.respecVersion is added at build time (see tools/builder.js)
const div = document.createElement("div");
const render = hyperHTML.bind(div);
const button = ui.addCommand("Donate", show, "Ctrl+Shift+Alt+D", "💸");

function show() {
  ui.freshModal("💰Donate 💰", div, button);
  render`
  <p>
    Tip us so we can pay contributors.
  </p>
`;
}
